Bug 476432 - SELINUX Denial in real player
SELINUX Denial in real player
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 11:51 EST by matthew
Modified: 2009-04-13 11:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 11:25:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matthew 2008-12-14 11:51:09 EST
se-linux denies access ./plugins from realplay.bin
Denied both "search" and "read"

How reproducible: Always


Steps to Reproduce:
1. Install realplayer
2. Reopen firefox, browse to some streaming media (I chose BBC Iplayer)
3. Observe denials
(Note, there was a denial previous to these that prevented embedded player starting, this was fixed by: chcon -t bin_t '/usr/bin/realplay'
  
Actual results:
No media stream :-(

Expected results:
Media stream

Additional info:
SELinux is preventing realplay.bin (nsplugin_t) "search" to ./plugins (textrel_shlib_t). Detailed DescriptionSELinux denied access requested by realplay.bin. It is not expected that this access is required by realplay.bin and this access may signal an intrusion attempt. It is also possible that the specific version or configuration of the application is causing it to require additional access. Allowing AccessSometimes labeling problems can cause SELinux denials. You could try to restore the default system file context for ./plugins, restorecon -v './plugins' If this does not work, there is currently no automatic way to allow this access. Instead, you can generate a local policy module to allow this access - see FAQ Or you can disable SELinux protection altogether. Disabling SELinux protection is not recommended. Please file a bug report against this package. Additional InformationSource Context:  unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023Target Context:  system_u:object_r:textrel_shlib_t:s0Target Objects:  ./plugins [ dir ]Source:  realplay.binSource Path:  /opt/real/RealPlayer/realplay.binPort:  <Unknown>Host:  localhost.localdomainSource RPM Packages:  RealPlayer-11.0.1.1056-20081001Target RPM Packages:  Policy RPM:  selinux-policy-3.5.13-30.fc10Selinux Enabled:  TruePolicy Type:  targetedMLS Enabled:  TrueEnforcing Mode:  EnforcingPlugin Name:  catchall_fileHost Name:  localhost.localdomainPlatform:  Linux localhost.localdomain 2.6.27.5-117.fc10.x86_64 #1 SMP Tue Nov 18 11:58:53 EST 2008 x86_64 x86_64Alert Count:  2First Seen:  Sun 14 Dec 2008 04:32:57 PM GMTLast Seen:  Sun 14 Dec 2008 04:32:57 PM GMTLocal ID:  47b23a9f-c198-4625-85f6-b10712022120Line Numbers:  Raw Audit Messages :node=localhost.localdomain type=AVC msg=audit(1229272377.906:32): avc: denied { search } for pid=3445 comm="realplay.bin" name="plugins" dev=sda2 ino=65697 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:textrel_shlib_t:s0 tclass=dir node=localhost.localdomain type=SYSCALL msg=audit(1229272377.906:32): arch=40000003 syscall=5 per=8 success=no exit=-13 a0=9932be0 a1=0 a2=555765 a3=992a300 items=0 ppid=3439 pid=3445 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=2 comm="realplay.bin" exe="/opt/real/RealPlayer/realplay.bin" subj=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2008-12-15 11:24:24 EST
Why is /opt/real/RealPlayer labeled as textrel_shlib_t?

Does restorecon -R -v /opt/real

Change anything?

Note You need to log in before you can comment on or make changes to this bug.